osl::search::UsiMonitor Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Member Functions | Private Attributes | List of all members
osl::search::UsiMonitor Class Reference

`#include <usiReporter.h>`

Inheritance diagram for osl::search::UsiMonitor:
[legend]
Collaboration diagram for osl::search::UsiMonitor:
[legend]

## Public Member Functions
| UsiMonitor (bool extended, std::ostream &os, double silent=0.5)
| ~UsiMonitor ()
void | setUdpLogging (std::string &udp_client_id, boost::asio::ip::udp::socket *, boost::asio::ip::udp::endpoint *)
void | newDepth (int depth)
void | showPV (int depth, size_t node_count, double elapsed, int value, Move cur, const Move *first, const Move *last, const bool *threatmate_first, const bool *threatmate_last)
void | showFailLow (int depth, size_t node_count, double elapsed, int value, Move cur)
void | rootMove (Move cur)
void | rootFirstMove (Move cur)
void | timeInfo (size_t node_count, double elapsed)
void | hashInfo (double ratio)
void | rootForcedMove (Move the_move)
void | rootLossByCheckmate ()
void | searchFinished ()
Public Member Functions inherited from osl::search::SearchMonitor
virtual | ~SearchMonitor ()
virtual void | depthFinishedNormally (int depth)

## Private Member Functions
void | showDeferred (bool forced=false)

## Private Attributes
Move | last_root_move
std::string | deferred
double | silent_period
bool | extended
MilliSeconds | depth0
std::ostream & | os
boost::asio::ip::udp::socket * | udp_socket
boost::asio::ip::udp::endpoint * | udp_endpoint
std::string | client_id

## Detailed Description

Definition at line 25 of file usiReporter.h.

## Constructor & Destructor Documentation

osl::search::UsiMonitor::UsiMonitor | ( | bool | extended,
|  | std::ostream & | os,
|  | double | silent = `0.5`
| ) |  |

Definition at line 112 of file usiReporter.cc.

osl::search::UsiMonitor::~UsiMonitor | ( | ) |  |

Definition at line 119 of file usiReporter.cc.

## Member Function Documentation

void osl::search::UsiMonitor::hashInfo | ( | double | ratio) |  |
| virtual

Reimplemented from osl::search::SearchMonitor.

Definition at line 226 of file usiReporter.cc.

References osl::search::UsiReporter::hashInfo().

void osl::search::UsiMonitor::newDepth | ( | int | depth) |  |
| virtual

Reimplemented from osl::search::SearchMonitor.

Definition at line 142 of file usiReporter.cc.

References osl::search::UsiReporter::newDepth().

void osl::search::UsiMonitor::rootFirstMove | ( | Move | cur) |  |
| virtual

Reimplemented from osl::search::SearchMonitor.

Definition at line 197 of file usiReporter.cc.

References osl::search::UsiReporter::rootMove().

void osl::search::UsiMonitor::rootForcedMove | ( | Move | the_move) |  |
| virtual

Reimplemented from osl::search::SearchMonitor.

Definition at line 233 of file usiReporter.cc.

References osl::record::usi::show(), and osl::OslConfig::usiModeInSilent().

void osl::search::UsiMonitor::rootLossByCheckmate | ( | ) |  |
| virtual

Reimplemented from osl::search::SearchMonitor.

Definition at line 244 of file usiReporter.cc.

References osl::OslConfig::usiModeInSilent().

void osl::search::UsiMonitor::rootMove | ( | Move | cur) |  |
| virtual

Reimplemented from osl::search::SearchMonitor.

Definition at line 190 of file usiReporter.cc.

void osl::search::UsiMonitor::searchFinished | ( | ) |  |
| virtual

Reimplemented from osl::search::SearchMonitor.

Definition at line 264 of file usiReporter.cc.

void osl::search::UsiMonitor::setUdpLogging | ( | std::string & | udp_client_id,
|  | boost::asio::ip::udp::socket * | s,
|  | boost::asio::ip::udp::endpoint * | e
| ) |  |

Definition at line 254 of file usiReporter.cc.

void osl::search::UsiMonitor::showDeferred | ( | bool | forced = `false`) |  |
| private

Definition at line 124 of file usiReporter.cc.

void osl::search::UsiMonitor::showFailLow | ( | int | depth,
|  | size_t | node_count,
|  | double | elapsed,
|  | int | value,
|  | Move | cur
| ) |  |
| virtual

Reimplemented from osl::search::SearchMonitor.

Definition at line 184 of file usiReporter.cc.

void osl::search::UsiMonitor::showPV | ( | int | depth,
|  | size_t | node_count,
|  | double | elapsed,
|  | int | value,
|  | Move | cur,
|  | const Move * | first,
|  | const Move * | last,
|  | const bool * | threatmate_first,
|  | const bool * | threatmate_last
| ) |  |
| virtual

Reimplemented from osl::search::SearchMonitor.

Definition at line 156 of file usiReporter.cc.

References osl::search::UsiReporter::showPV(), and osl::search::UsiReporter::showPVExtended().

void osl::search::UsiMonitor::timeInfo | ( | size_t | node_count,
|  | double | elapsed
| ) |  |
| virtual

Reimplemented from osl::search::SearchMonitor.

Definition at line 205 of file usiReporter.cc.

References osl::search::UsiReporter::rootMove(), and osl::search::UsiReporter::timeInfo().

## Member Data Documentation

std::string osl::search::UsiMonitor::client_id
| private

Definition at line 35 of file usiReporter.h.

std::string osl::search::UsiMonitor::deferred
| private

Definition at line 28 of file usiReporter.h.

MilliSeconds osl::search::UsiMonitor::depth0
| private

Definition at line 31 of file usiReporter.h.

bool osl::search::UsiMonitor::extended
| private

Definition at line 30 of file usiReporter.h.

Move osl::search::UsiMonitor::last_root_move
| private

Definition at line 27 of file usiReporter.h.

std::ostream& osl::search::UsiMonitor::os
| private

Definition at line 32 of file usiReporter.h.

double osl::search::UsiMonitor::silent_period
| private

Definition at line 29 of file usiReporter.h.

boost::asio::ip::udp::endpoint* osl::search::UsiMonitor::udp_endpoint
| private

Definition at line 34 of file usiReporter.h.

boost::asio::ip::udp::socket* osl::search::UsiMonitor::udp_socket
| private

Definition at line 33 of file usiReporter.h.

The documentation for this class was generated from the following files:

- usiReporter.h
- usiReporter.cc